############################
### VerboseMail.tcl	 ###
### Version 1.0		 ###
### By Wcc		 ###
### wcc@techmonkeys.org  ###
### http://dawg.dynu.com ###
### EFnet #|DAWG|Tcl     ###
############################

############################################################################
### Copyright  2000 - 2001 |DAWG| Scripting Group. All rights reserved. ###
############################################################################

#######################################################
## This script e-mails VERBOSE notices from ChanServ ##
## to a set e-mail address.			     ##
#######################################################

##########################################################
## Just load the script, set the variables, and rehash. ##
##########################################################

#################################
# Set your e-mail address here. #
#################################

set verbosemail_setting(address) "wcc@techmonkeys.org"

####################
# Code begins here #
####################
if {![string match 1.6.* $version]} {
	putlog "\002VERBOSEMAIL:\002 \002CRITICAL ERROR\002 VerboseMail.tcl requires eggdrop 1.6.x to run."
	die "\002VERBOSEMAIL:\002 \002CRITICAL ERROR\002 VerboseMail.tcl requires eggdrop 1.6.x to run."
}
if {[info tclversion] < 8.0} {
	putlog "\002VERBOSEMAIL:\002 \002CRITICAL ERROR\002 VerboseMail.tcl requires Tcl 8.0 or above to run."
	die "\002VERBOSEMAIL:\002 \002CRITICAL ERROR\002 VerboseMail.tcl requires Tcl 8.0 or above to run."
}
bind notc - "*\[VERBOSE\]*" verbosemail_mail

proc verbosemail_mail {nick uhost hand text dest} {
	global verbosemail_setting
	if {[string match -nocase $nick ChanServ]} {
		if {[catch {exec which mail}]} {
			putlog "\002VERBOSEMAIL:\002 Error: This system does not support 'mail'."
		} else {
			if {[catch {open verbosemail.temp w} mail]} {
				putlog "\002VERBOSEMAIL:\002 Error: Could not open verbosemail.temp."
			} else {
				puts $mail $text
				close $mail
				if {[catch {exec mail $verbosemail_setting(address) -s "VerboseMail" < verbosemail.temp} error]} {
					putlog "\002VERBOSEMAIL:\002 Error: $error"
				}
				if {[catch {file delete -force verbosemail.temp}]} {
					putlog "Error: Could not delete verbosemail.temp."
				}
			}
		}
			 
	}
}
putlog "\002VERBOSEMAIL:\002 VerboseMail.tcl Version 1.0 by Wcc is loaded."